Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043183
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Y. DBSourceManagertrivialhave not tried2020-02-11 10:452020-02-21 08:13
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision529930a409c4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043183: exclude .git when reading DB xml files

DescriptionExclude .git directory (as it is already done with .hg and .svn) when reading xml database files.
Steps To ReproduceSee https://gitlab.com/openbravo/product/dbsm/-/blob/5048371d/src/org/openbravo/ddlutils/task/DatabaseUtils.java#L277 [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks feature request 0041898 acknowledgedplatform support git 

-  Notes
(0117626)
alostale (developer)
2020-02-11 10:58

MR: https://gitlab.com/openbravo/product/dbsm/-/merge_requests/7 [^]
(0117898)
hgbot (developer)
2020-02-18 10:01

Repository: erp/devel/pi
Changeset: 529930a409c41bb08aeb21770481b842d815a704
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Feb 11 10:32:39 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/529930a409c41bb08aeb21770481b842d815a704 [^]

fixed BUG-43175 fixed BUG-43183: log local changes + exclude .git

dsm jar including fixes for:

 BUG-43175:
  When updating database having local changes in AD, the tables with
  changes were not logged.

  While project to upgrade to log4j2 the API, old API passing old logger
  was kept but it become unusable as null logger was used.

  Old API has been removed.

 BUG-43183:
  Exclude .git directory when reading DB xml files

---
M src-db/database/lib/dbsourcemanager.jar
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
---
(0117995)
caristu (developer)
2020-02-21 08:13

Reviewed

- Issue History
Date Modified Username Field Change
2020-02-11 10:45 alostale New Issue
2020-02-11 10:45 alostale Assigned To => platform
2020-02-11 10:45 alostale Modules => Core
2020-02-11 10:45 alostale Triggers an Emergency Pack => No
2020-02-11 10:46 alostale Relationship added blocks 0041898
2020-02-11 10:46 alostale Assigned To platform => alostale
2020-02-11 10:46 alostale Review Assigned To => caristu
2020-02-11 10:48 alostale Steps to Reproduce Updated View Revisions
2020-02-11 10:48 alostale Status new => acknowledged
2020-02-11 10:50 alostale Summary exlclude .git when reading DB xml files => exclude .git when reading DB xml files
2020-02-11 10:58 alostale Note Added: 0117626
2020-02-11 20:32 shuehner Issue Monitored: shuehner
2020-02-18 10:01 hgbot Checkin
2020-02-18 10:01 hgbot Note Added: 0117898
2020-02-18 10:01 hgbot Status acknowledged => resolved
2020-02-18 10:01 hgbot Resolution open => fixed
2020-02-18 10:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/529930a409c41bb08aeb21770481b842d815a704 [^]
2020-02-21 08:13 caristu Note Added: 0117995
2020-02-21 08:13 caristu Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker